if not Watcher then return end

if select(2, UnitClass('player')) ~= "SHAMAN" then return end

local LBF = LibStub("LibButtonFacade", true)
local L = LibStub("AceLocale-3.0"):GetLocale("Watcher")
local media = LibStub:GetLibrary("LibSharedMedia-3.0");
local C = Watcher.constants
local _

-- generic spells
Watcher:addicon("Earth Elemental Totem", 2062)
Watcher:addicon("Earth Shock", 8042)
Watcher:addicon("Feral Spirit", 51533)
Watcher:addicon("Fire Elemental Totem", 2894)
Watcher:addicon("Flame Shock", 8050)
Watcher:addicon("Lava Burst", 51505)
Watcher:addicon("Lava Lash", 60103)
Watcher:addicon("Lightning Shield", 324)
Watcher:addicon("Lightning Bolt", 403)
Watcher:addicon("Stormlash Totem", 120668)
Watcher:addicon("Stormstrike", 17364)
Watcher:addicon("Thunderstorm", 51490)
Watcher:addicon("Unleash Elements", 73680)

-- talented spells and procs
Watcher:addicon("Ancestral Swiftness", 16188)
Watcher:addicon("Lava Surge", 77756)
Watcher:addicon("Maelstrom Weapon", 51530)

function Watcher:addClassSpells()
Watcher:Buff("Lightning Shield", "Lightning Shield", true)
Watcher:Debuff("Flame Shock")
Watcher:Direct("Ancestral Swiftness")
Watcher:Direct("Earth Elemental Totem")
--Watcher:Direct("Earth Shock")
Watcher:Proc("Lightning Shield", "Earth Shock", 7)
Watcher:Direct("Feral Spirit")
Watcher:Direct("Fire Elemental Totem")
Watcher:Direct("Lava Burst")
Watcher:Direct("Lava Lash")
--Watcher:Direct("Lightning Bolt")
Watcher:Proc("Maelstrom Weapon", "Lightning Bolt", 5)
Watcher:Direct("Stormlash Totem")
Watcher:Direct("Stormstrike")
Watcher:Direct("Thunderstorm")
Watcher:Direct("Unleash Elements")

end